com.google.gwt.user.client.ui

## Class TableListenerCollection

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<TableListener>
      - - com.google.gwt.user.client.ui.TableListenerCollection

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<TableListener>, java.util.Collection<TableListener>, java.util.List<TableListener>, java.util.RandomAccess

  Deprecated.
  Widgets should now manage their own handlers via `Widget.addDomHandler(H, com.google.gwt.event.dom.client.DomEvent.Type<H>)`

      @Deprecated
      public class TableListenerCollection
      extends java.util.ArrayList<TableListener>

  A helper class for implementers of the `SourcesTableEvents` interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `TableListener`.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableListenerCollection()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fireCellClicked(SourcesTableEvents sender, int row, int cell)` Deprecated.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### TableListenerCollection

          public TableListenerCollection()

      Deprecated.

  - ### Method Detail

    - #### fireCellClicked

          @Deprecated
          public void fireCellClicked(SourcesTableEvents sender,
                                                  int row,
                                                  int cell)

      Deprecated.
      Fires a cellClicked event to all listeners.
      Parameters:
        `sender` - the widget sending the event
        `row` - the row of the cell being clicked
        `cell` - the index of the cell being clicked